%define        serverdir     %(/usr/bin/apxs -q htdocsdir 2>/dev/null)

# To create a customized installation:
# autospec -u drupal -a5 \
#   -d "installdir=%serverdir/../www.example.com, \
#       sitename=example, \
#       adminmail=webmaster@example.com"

%if "%{?installdir}" == ""
   %define     installdir    %{serverdir}/drupal
%endif

%if "%{?sitename}" != ""
   %if "%{?servername}" == ""
      %define  servername    %(basename %installdir 2>/dev/null)
   %endif
   %define     serverlogdir  %(/usr/sbin/apxs -q logfiledir 2>/dev/null)
%else
   %if "%{?aliasdir}" == ""
      %define  aliasdir      /drupal
   %endif
%endif

Name:          %{?sitename:%sitename-website-}drupal
Version:       7.36
Release:       1mamba
Summary:       An open source content management platform powering millions of websites and applications
Group:         Applications/Web
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://drupal.org
Source:        http://ftp.drupal.org/files/projects/drupal-%{version}.tar.gz
Source1:       http://ftp.drupal.org/files/projects/es-6.x-1.4.tar.gz
Source2:       http://www.drupalitalia.org/sites/drupalitalia.org/files/translations/drupal-6.17-it-translations.tgz
License:       GPL
Requires:      php
Requires:      mysql
Requires:      apache
Requires:      apache-mod_php
Requires:      php-mysql
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Drupal is an open source content management platform powering millions of websites and applications. It’s built, used, and supported by an active and diverse community of people around the world. 

%prep
%setup -q -a1 -a2

%build
chmod 644 profiles/default/translations/it.po
cp sites/default/default.settings.php sites/default/settings.php

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d %{buildroot}%{installdir}
cp -a * %{buildroot}%{installdir}

install -d %{buildroot}%{_sysconfdir}/httpd/httpd.d
%if "%{?sitename}" != ""
cat > %{buildroot}%{_sysconfdir}/httpd/httpd.d/%{servername}.conf << EOF
%else
cat > %{buildroot}%{_sysconfdir}/httpd/httpd.d/%{name}.conf << EOF
%endif
%if "%{?sitename}" == ""
%if "%(dirname %installdir)" != "%{serverdir}"
Alias %{aliasdir} %{installdir}

%endif
%endif
<Directory %{installdir}>
    AllowOverride All
    RewriteEngine On
    Order allow,deny
    Allow from All
</Directory>
%if "%{?sitename}" != ""
%if "%(dirname %installdir)" != "%{serverdir}"

<VirtualHost *:80>
   %{?adminmail:ServerAdmin %adminmail}
   DocumentRoot %{installdir}
   ServerName %{servername}
   ErrorLog %{serverlogdir}/%{servername}-error_log
   CustomLog %{serverlogdir}/%{servername}-access_log common
</VirtualHost>
%endif
%endif
EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
   [ -e %{_localstatedir}/lock/subsys/httpd ] && service httpd reload || :
fi
:

%files
%defattr(-,root,root)
%if "%{?sitename}" != ""
%config(noreplace) %{_sysconfdir}/httpd/httpd.d/%{servername}.conf
%else
%config(noreplace) %{_sysconfdir}/httpd/httpd.d/%{name}.conf
%endif
%{installdir}/*.txt
%{installdir}/authorize.php
%{installdir}/cron.php
%{installdir}/includes
%{installdir}/index.php
%{installdir}/install.php
%{installdir}/misc
%{installdir}/modules
%{installdir}/profiles
%{installdir}/sites/all
%dir %attr(0775,root,nobody) %{installdir}/sites/default
%attr(0664,root,nobody) %config(noreplace) %{installdir}/sites/default/settings.php
%{installdir}/sites/default/default.settings.php
%{installdir}/sites/example.sites.php
%{installdir}/sites/README.txt
%{installdir}/scripts
#%{installdir}/sites
%{installdir}/themes
%{installdir}/update.php
%{installdir}/web.config
%{installdir}/xmlrpc.php

%changelog
* Wed Apr 08 2015 Automatic Build System <autodist@mambasoft.it> 7.36-1mamba
- automatic version update by autodist

* Sat Mar 21 2015 Automatic Build System <autodist@mambasoft.it> 7.35-1mamba
- automatic version update by autodist

* Fri Nov 21 2014 Automatic Build System <autodist@mambasoft.it> 7.34-1mamba
- automatic version update by autodist

* Sat Nov 08 2014 Automatic Build System <autodist@mambasoft.it> 7.33-1mamba
- automatic version update by autodist

* Thu Oct 16 2014 Automatic Build System <autodist@mambasoft.it> 7.32-1mamba
- automatic version update by autodist

* Fri Aug 08 2014 Automatic Build System <autodist@mambasoft.it> 7.31-1mamba
- automatic version update by autodist

* Mon Jul 28 2014 Automatic Build System <autodist@mambasoft.it> 7.30-1mamba
- automatic version update by autodist

* Fri Jul 18 2014 Automatic Build System <autodist@mambasoft.it> 7.29-1mamba
- automatic version update by autodist

* Thu May 08 2014 Automatic Build System <autodist@mambasoft.it> 7.28-1mamba
- automatic version update by autodist

* Mon Apr 21 2014 Automatic Build System <autodist@mambasoft.it> 7.27-1mamba
- automatic version update by autodist

* Mon Jan 27 2014 Automatic Build System <autodist@mambasoft.it> 7.26-1mamba
- automatic version update by autodist

* Mon Jan 06 2014 Automatic Build System <autodist@mambasoft.it> 7.25-1mamba
- automatic version update by autodist

* Sat Nov 23 2013 Automatic Build System <autodist@mambasoft.it> 7.24-1mamba
- automatic version update by autodist

* Sun Aug 11 2013 Automatic Build System <autodist@mambasoft.it> 7.23-1mamba
- automatic update by autodist

* Sun Apr 14 2013 Automatic Build System <autodist@mambasoft.it> 7.22-1mamba
- automatic version update by autodist

* Mon Mar 11 2013 Automatic Build System <autodist@mambasoft.it> 7.21-1mamba
- automatic version update by autodist

* Thu Feb 28 2013 Automatic Build System <autodist@mambasoft.it> 7.20-1mamba
- automatic version update by autodist

* Fri Jan 18 2013 Automatic Build System <autodist@mambasoft.it> 7.19-1mamba
- automatic version update by autodist

* Thu Jan 10 2013 Automatic Build System <autodist@mambasoft.it> 7.18-1mamba
- automatic version update by autodist

* Sat Oct 27 2012 Automatic Build System <autodist@mambasoft.it> 7.16-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 7.15-1mamba
- automatic version update by autodist

* Fri Jun 15 2012 Automatic Build System <autodist@mambasoft.it> 7.14-1mamba
- automatic version update by autodist

* Mon Oct 03 2011 Automatic Build System <autodist@mambasoft.it> 7.8-1mamba
- automatic version update by autodist

* Fri Jul 29 2011 Automatic Build System <autodist@mambasoft.it> 7.7-1mamba
- automatic update by autodist

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 7.4-1mamba
- automatic version update by autodist

* Tue Jun 07 2011 Automatic Build System <autodist@mambasoft.it> 7.2-1mamba
- automatic update by autodist

* Mon Jan 31 2011 Automatic Build System <autodist@mambasoft.it> 7.0-1mamba
- automatic update by autodist

* Sat Oct 30 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 6.19-1mamba
- package created by autospec
